html,
body {
  height: 100%;
  margin: 0;
  background-color: hsl(0, 0%, 30%);
}

a {
  color: white;
  text-decoration: none;
  font-weight: bold;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
}

.container {
  width: auto;
  gap: 1.25vw;
  padding: 1vw;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(15vw, 1fr));
  justify-content: center;
  align-items: start;
}

.gallery {
  width: auto;
  height: auto;
  padding: 0.75vw;
  display: inline-block;
  border: 0.1vw solid hsl(0, 0%, 60%);
  background-color: hsl(0, 0%, 35%);
}

.gallery .image-container {
  width: 13vw;
  height: 13vw;
  overflow: hidden;
  margin-left: auto;
  margin-right: auto;
}

.gallery .description {
  padding: 0.75vw;
  text-align: center;
  font-size: 1vw;
}

.gallery:hover {
  border: 0.1vw solid hsl(0, 0%, 20%);
}

.gallery img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

@media (max-width: 768px) {
  .container {
    grid-template-columns: repeat(auto-fit, minmax(30vw, 1fr));
  }
  .gallery .image-container {
    width: 30vw;
    height: 30vw;
  }
  .gallery .description {
    font-size: 2vw;
  }
}
